From b58a856e189e2fe2183e48ca3549b4f41eaf20fb Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 01:37:05 +0100
Subject: [PATCH 36/54] fix: title in oc adjustment spinner row

---
 lact-gui/src/app/root_stack/oc_page/clocks_frame.rs | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
index dbe7dce5..ee24567c 100644
--- a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
+++ b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
@@ -398,6 +398,8 @@ fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<Atom
         .title(title)
         .adjustment(&adjustment)
         .build();
+    #[cfg(feature = "libadwaita")]
+    listbox.append(&value_selector);
 
     #[cfg(not(feature = "libadwaita"))]
     let value_selector = {
@@ -406,7 +408,9 @@ fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<Atom
             .valign(Align::Center)
             .build();
         let row = action_row(title, None, &[&spin_btn], None);
-        row.set_child(Some(&spin_btn));
+
+        listbox.append(&row);
+
         spin_btn
     };
 
@@ -421,8 +425,6 @@ fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<Atom
         }
     ));
 
-    listbox.append(&value_selector);
-
     (adjustment, changed)
 }
 

